Package org.talend.transform.runtime.api

# Interface MapOrStructRuntime

All Known Subinterfaces:
  `MapRuntime`, `StructRuntime`

public interface MapOrStructRuntime
Base interface for MapRuntime, can also be implemented by a StructExecutionRuntime.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Gets the full path name (including project) of the map or structure.
`String`
`getRelativeName()`
Gets the relative path name (without project) of the map or structure.
`ExecutionStatus`
`run(MapExecutionContext ec)`
Executes this map or structure.
`ExecutionStatus`
`validate(MapExecutionContext ec)`

## Method Details

### getName

String getName()
Gets the full path name (including project) of the map or structure.

### getRelativeName

String getRelativeName()
Gets the relative path name (without project) of the map or structure.

### run

ExecutionStatus run(MapExecutionContext ec)
Executes this map or structure. Returns the results in the ExecutionStatus object.

### validate

ExecutionStatus validate(MapExecutionContext ec)